GDBserver

Macros | Functions
math.h File Reference

Go to the source code of this file.

## Macros
#define | _GL_MATH_H
#define | _GL_MATH_INLINE _GL_INLINE
#define | _GL_CXXDEFS_H
#define | _GL_BEGIN_NAMESPACE
#define | _GL_END_NAMESPACE
#define | _GL_EXTERN_C extern
#define | _GL_FUNCDECL_RPL(func, rettype, parameters_and_attributes) _GL_FUNCDECL_RPL_1 (rpl_##func, rettype, parameters_and_attributes)
#define | _GL_FUNCDECL_RPL_1(rpl_func, rettype, parameters_and_attributes) _GL_EXTERN_C rettype rpl_func parameters_and_attributes
#define | _GL_FUNCDECL_SYS(func, rettype, parameters_and_attributes) _GL_EXTERN_C rettype func parameters_and_attributes
#define | _GL_CXXALIAS_RPL(func, rettype, parameters) _GL_CXXALIAS_RPL_1 (func, rpl_##func, rettype, parameters)
#define | _GL_CXXALIAS_RPL_1(func, rpl_func, rettype, parameters) _GL_EXTERN_C int _gl_cxxalias_dummy
#define | _GL_CXXALIAS_RPL_CAST_1(func, rpl_func, rettype, parameters) _GL_EXTERN_C int _gl_cxxalias_dummy
#define | _GL_CXXALIAS_SYS(func, rettype, parameters) _GL_EXTERN_C int _gl_cxxalias_dummy
#define | _GL_CXXALIAS_SYS_CAST(func, rettype, parameters) _GL_EXTERN_C int _gl_cxxalias_dummy
#define | _GL_CXXALIAS_SYS_CAST2(func, rettype, parameters, rettype2, parameters2) _GL_EXTERN_C int _gl_cxxalias_dummy
#define | _GL_CXXALIASWARN(func) _GL_EXTERN_C int _gl_cxxalias_dummy
#define | _GL_CXXALIASWARN1(func, rettype, parameters_and_attributes) _GL_EXTERN_C int _gl_cxxalias_dummy
#define | _GL_ARG_NONNULL(params)
#define | _GL_WARN_ON_USE(function, message) _GL_WARN_EXTERN_C int _gl_warn_on_use
#define | _GL_WARN_ON_USE_CXX(function, rettype, parameters_and_attributes, msg) _GL_WARN_EXTERN_C int _gl_warn_on_use
#define | _GL_WARN_EXTERN_C extern
#define | _GL_WARN_REAL_FLOATING_DECL(func)
#define | _GL_WARN_REAL_FLOATING_IMPL(func, value)
#define | NAN (0.0f / 0.0f)
#define | GNULIB_defined_NAN 1
#define | HUGE_VALF (1.0f / 0.0f)
#define | HUGE_VAL (1.0 / 0.0)
#define | HUGE_VALL (1.0L / 0.0L)
#define | FP_ILOGB0 (- 2147483647) /* - INT_MAX */
#define | FP_ILOGBNAN (- 2147483647 - 1) /* INT_MIN */

## Functions
| _GL_CXXALIAS_SYS (frexp, double,(double x, int *expptr))
| _GL_CXXALIASWARN1 (frexp, double,(double x, int *expptr))
| _GL_CXXALIAS_SYS (frexpl, long double,(long double x, int *expptr))
| _GL_CXXALIASWARN (frexpl)

## Macro Definition Documentation

## ◆ _GL_ARG_NONNULL

#define _GL_ARG_NONNULL | ( |  | params | ) |

Definition at line 340 of file math.h.

## ◆ _GL_BEGIN_NAMESPACE

#define _GL_BEGIN_NAMESPACE

Definition at line 49 of file math.h.

## ◆ _GL_CXXALIAS_RPL

#define _GL_CXXALIAS_RPL | ( |  | func,
|  |  | rettype,
|  |  | parameters
| ) |  | _GL_CXXALIAS_RPL_1 (func, rpl_##func, rettype, parameters)

Definition at line 151 of file math.h.

## ◆ _GL_CXXALIAS_RPL_1

#define _GL_CXXALIAS_RPL_1 | ( |  | func,
|  |  | rpl_func,
|  |  | rettype,
|  |  | parameters
| ) |  | _GL_EXTERN_C int _gl_cxxalias_dummy

Definition at line 166 of file math.h.

## ◆ _GL_CXXALIAS_RPL_CAST_1

#define _GL_CXXALIAS_RPL_CAST_1 | ( |  | func,
|  |  | rpl_func,
|  |  | rettype,
|  |  | parameters
| ) |  | _GL_EXTERN_C int _gl_cxxalias_dummy

Definition at line 189 of file math.h.

## ◆ _GL_CXXALIAS_SYS

#define _GL_CXXALIAS_SYS | ( |  | func,
|  |  | rettype,
|  |  | parameters
| ) |  | _GL_EXTERN_C int _gl_cxxalias_dummy

Definition at line 216 of file math.h.

## ◆ _GL_CXXALIAS_SYS_CAST

#define _GL_CXXALIAS_SYS_CAST | ( |  | func,
|  |  | rettype,
|  |  | parameters
| ) |  | _GL_EXTERN_C int _gl_cxxalias_dummy

Definition at line 239 of file math.h.

## ◆ _GL_CXXALIAS_SYS_CAST2

#define _GL_CXXALIAS_SYS_CAST2 | ( |  | func,
|  |  | rettype,
|  |  | parameters,
|  |  | rettype2,
|  |  | parameters2
| ) |  | _GL_EXTERN_C int _gl_cxxalias_dummy

Definition at line 270 of file math.h.

## ◆ _GL_CXXALIASWARN

#define _GL_CXXALIASWARN | ( |  | func | ) | _GL_EXTERN_C int _gl_cxxalias_dummy

Definition at line 298 of file math.h.

## ◆ _GL_CXXALIASWARN1

#define _GL_CXXALIASWARN1 | ( |  | func,
|  |  | rettype,
|  |  | parameters_and_attributes
| ) |  | _GL_EXTERN_C int _gl_cxxalias_dummy

Definition at line 326 of file math.h.

## ◆ _GL_CXXDEFS_H

#define _GL_CXXDEFS_H

Definition at line 42 of file math.h.

## ◆ _GL_END_NAMESPACE

#define _GL_END_NAMESPACE

Definition at line 50 of file math.h.

## ◆ _GL_EXTERN_C

#define _GL_EXTERN_C extern

Definition at line 117 of file math.h.

## ◆ _GL_FUNCDECL_RPL

#define _GL_FUNCDECL_RPL | ( |  | func,
|  |  | rettype,
|  |  | parameters_and_attributes
| ) |  | _GL_FUNCDECL_RPL_1 (rpl_##func, rettype, parameters_and_attributes)

Definition at line 127 of file math.h.

## ◆ _GL_FUNCDECL_RPL_1

#define _GL_FUNCDECL_RPL_1 | ( |  | rpl_func,
|  |  | rettype,
|  |  | parameters_and_attributes
| ) |  | _GL_EXTERN_C rettype rpl_func parameters_and_attributes

Definition at line 129 of file math.h.

## ◆ _GL_FUNCDECL_SYS

#define _GL_FUNCDECL_SYS | ( |  | func,
|  |  | rettype,
|  |  | parameters_and_attributes
| ) |  | _GL_EXTERN_C rettype func parameters_and_attributes

Definition at line 139 of file math.h.

## ◆ _GL_MATH_H

#define _GL_MATH_H

Definition at line 30 of file math.h.

## ◆ _GL_MATH_INLINE

#define _GL_MATH_INLINE _GL_INLINE

Definition at line 37 of file math.h.

## ◆ _GL_WARN_EXTERN_C

#define _GL_WARN_EXTERN_C extern

Definition at line 388 of file math.h.

## ◆ _GL_WARN_ON_USE

#define _GL_WARN_ON_USE | ( |  | function,
|  |  | message
| ) |  | _GL_WARN_EXTERN_C int _gl_warn_on_use

Definition at line 356 of file math.h.

## ◆ _GL_WARN_ON_USE_CXX

#define _GL_WARN_ON_USE_CXX | ( |  | function,
|  |  | rettype,
|  |  | parameters_and_attributes,
|  |  | msg
| ) |  | _GL_WARN_EXTERN_C int _gl_warn_on_use

Definition at line 377 of file math.h.

## ◆ _GL_WARN_REAL_FLOATING_DECL

#define _GL_WARN_REAL_FLOATING_DECL | ( |  | func | ) |

Value:
_GL_MATH_INLINE int \
rpl_ ## func ## f (float f) \
{ \
return func (f); \
} \
_GL_MATH_INLINE int \
rpl_ ## func ## d (double d) \
{ \
return func (d); \
} \
_GL_MATH_INLINE int \
rpl_ ## func ## l (long double l) \
{ \
return func (l); \
} \
_GL_WARN_ON_USE (rpl_ ## func ## f, #func " is unportable - " \
"use gnulib module " #func " for portability"); \
_GL_WARN_ON_USE (rpl_ ## func ## d, #func " is unportable - " \
"use gnulib module " #func " for portability"); \
_GL_WARN_ON_USE (rpl_ ## func ## l, #func " is unportable - " \
"use gnulib module " #func " for portability")
_GL_MATH_INLINE
#define _GL_MATH_INLINE
Definition: math.h:37

Definition at line 436 of file math.h.

## ◆ _GL_WARN_REAL_FLOATING_IMPL

#define _GL_WARN_REAL_FLOATING_IMPL | ( |  | func,
|  |  | value
| ) |  |

Value:
(sizeof (value) == sizeof (float) ? rpl_ ## func ## f (value) \
: sizeof (value) == sizeof (double) ? rpl_ ## func ## d (value) \
: rpl_ ## func ## l (value))

Definition at line 458 of file math.h.

## ◆ FP_ILOGB0

#define FP_ILOGB0 (- 2147483647) /* - INT_MAX */

Definition at line 555 of file math.h.

## ◆ FP_ILOGBNAN

#define FP_ILOGBNAN (- 2147483647 - 1) /* INT_MIN */

Definition at line 556 of file math.h.

## ◆ GNULIB_defined_NAN

#define GNULIB_defined_NAN 1

Definition at line 493 of file math.h.

## ◆ HUGE_VAL

#define HUGE_VAL (1.0 / 0.0)

Definition at line 524 of file math.h.

## ◆ HUGE_VALF

#define HUGE_VALF (1.0f / 0.0f)

Definition at line 514 of file math.h.

## ◆ HUGE_VALL

#define HUGE_VALL (1.0L / 0.0L)

Definition at line 534 of file math.h.

## ◆ NAN

#define NAN (0.0f / 0.0f)

Definition at line 491 of file math.h.

## Function Documentation

## ◆ _GL_CXXALIAS_SYS() [1/2]

_GL_CXXALIAS_SYS | ( | frexp | ,
|  | double | ,
|  | (double x, int *expptr) |
| ) |  |

## ◆ _GL_CXXALIAS_SYS() [2/2]

_GL_CXXALIAS_SYS | ( | frexpl | ,
|  | long | double,
|  | (long double x, int *expptr) |
| ) |  |

## ◆ _GL_CXXALIASWARN()

_GL_CXXALIASWARN | ( | frexpl |  | ) |

## ◆ _GL_CXXALIASWARN1()

_GL_CXXALIASWARN1 | ( | frexp | ,
|  | double | ,
|  | (double x, int *expptr) |
| ) |  |